/* GCC */
#include <stdio.h>
#include <stdlib.h>

FILE *ifl, *ofl;

unsigned int n;
int a=0;
int houses[100000];
int parkings[100000];
void docount(int *cntptr, int offset);

int main()
{
    //Init
    ifl = fopen("parking.in", "r");
    ofl = fopen("parking.out", "w");

    //Reading
    fscanf(ifl, "%d\n", &n);

    int i;
    for(i=1; i<n; i++)
    {
        fscanf(ifl, "%d ", houses+i-1);
    }
    fscanf(ifl, "%d\n", houses+n-1);

    parkings[0] = houses[0];
    int temp;
    for(i=1; i<n; i++)
    {
        fscanf(ifl, "%d ", &temp);
        parkings[i]=parkings[i-1]+temp;
    }

    //Binary search
    int offset = 0;
    int step = 536870912;
    char dir;
    int count;
    char exec = 1;
    docount(&count, 0);

    if(count<0)
    {
        offset = -1073741824;
    }
    else if(count>0)
    {
        offset = 1073741824;
    }
    else
    {
        dir = 0;
        exec = 0;
    }


    while(exec)
    {
        if(step==1){exec=0;}

        docount(&count, offset);

        if(count<0)
        {dir = -1;}
        else if(count>0)
        {dir = 1;}
        else
        {dir = 0;}

        if(dir==0)
        {
            exec=0;
        }else
        {
            offset = offset + (step*dir);
            step = step/2;
        }
    }

    //Apply the offset and count the distances
    for(i=0; i<n; i++)
    {
        parkings[i]+=offset;
        a += abs(parkings[i]-houses[i]);
    }

    //Writing
    fprintf(ofl, "%d\n", a);

    return 0;
}

//Count left/right to cntptr variable address
void docount(int *cntptr, int offset)
{
    int i;
    *cntptr = 0;

    for(i=0; i<n; i++)
    {
        if(parkings[i]+offset < houses[i])
        {
            (*cntptr)++;
        }
        else if(parkings[i]+offset > houses[i])
        {
            (*cntptr)--;
        }
    }
}
