/* GCC */
#include <cstdlib>
#include <iostream>
#include <fstream>
#include <cmath>
#include <climits>

using namespace std;

int main()
{
    ifstream in("parking.in");
    ofstream out("parking.out");
    int minValue = INT_MAX, currValue;
    int n;
    in >> n;
    int * houses = new int[n];
    int * parkings = new int[n];
    int * criticalPoints = new int[n];

    parkings[0] = 0;
    for(int i = 0; i < n; i++)
        in >> houses[i];
    for(int i = 1; i < n; i++)
    {
        in >> parkings[i];
        parkings[i] += parkings[i - 1];
    }

    for(int i = 0; i < n; i++)
        criticalPoints[i] = houses[i] - parkings[i];

    for(int i = 0; i < n; i++)
    {
        currValue = 0;
        for(int j = 0; j < n; j++)
            currValue += abs(criticalPoints[j] - criticalPoints[i]);
        minValue = min(currValue, minValue);
    }
    out << minValue << "\n";
    in.close();
    out.close();

    delete[] houses;
    delete[] parkings;
    delete[] criticalPoints;
    return 0;
}

