""" Python 3 """


def find_sum_length(house_coords, parking_coords):
    sum_length = 0
    for i in range(len(parking_coords)):
        sum_length += abs(parking_coords[i] - house_coords[i])
    return sum_length


with open('parking.in', 'r') as inp:
    with open('parking.out', 'w') as output:
        n = int(inp.readline())
        houses = list(map(int, inp.readline().split()))
        length = list(map(int, inp.readline().split()))
        park_coords = [houses[0] - length[0]]
        for j in range(n - 1):
            park_coords.append(park_coords[j] + length[j])
        min_len = find_sum_length(houses, park_coords)
        for i in range(houses[0] - length[0] + 1, houses[0] + length[0] + 1):
            park_coords = [i]
            for j in range(n - 1):
                park_coords.append(park_coords[j] + length[j])
            new_len = find_sum_length(houses, park_coords)
            if new_len < min_len:
                min_len = new_len
        output.write("{}\n".format(min_len))
