""" Python 3 """


# def create_incident_list(matrix, blocks):
#     lst = {}
#     for i in range(1, blocks + 1):
#         lst[i] = []
#     for row in matrix:
#         lst[row[0]].append(row[1])
#         lst[row[1]].append(row[0])
#     return lst

def has_same_node(row1, row2):
    for i in range(2):
        for j in range(2):
            if row1[i] == row2[j]:
                return True
    return False


def create_street(row1: list, row2: list) -> list:
    return list(set(row1).symmetric_difference(row2))


with open('streets.in', 'r') as inp:
    with open('streets.out', 'w') as output:
        blocks, rows = map(int, inp.readline().split())
        rows_list = []
        for i in range(rows):
            rows_list.append(list(map(int, inp.readline().split())))
        streets = [rows_list.pop(0)]
        row = 0
        while rows_list:
            start_len = len(rows_list)
            for street in range(len(streets)):
                if has_same_node(streets[street], rows_list[row]):
                    streets[street] = create_street(streets[street], rows_list.pop(row))
                    break
            if len(rows_list) == 0:
                break
            if start_len == len(rows_list):
                streets.append(rows_list.pop(0))
            if len(rows_list) == 0:
                break
            row = (row + 1) % len(rows_list)
        output.write("{}\n".format(len(streets)))
